using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Runtime.Serialization;

using Syncfusion.Windows.Forms.Grid;


namespace UserControlInGrid
{
	[Serializable]
	public class GridGenericControlCellModel1 : GridGenericControlCellModel
	{

		public GridGenericControlCellModel1(GridModel grid)
			: base(grid)
		{
				
		}
	
		public override GridCellRendererBase CreateRenderer(GridControlBase control)
		{
			return new GridGenericControlCellRenderer1(control, this);
		}

	}

	public class GridGenericControlCellRenderer1: GridGenericControlCellRenderer
	{
		public GridGenericControlCellRenderer1(GridControlBase grid, GridCellModelBase cellModel)
			: base(grid, cellModel)
		{
		}

		protected override void OnDraw(System.Drawing.Graphics g, System.Drawing.Rectangle clientRectangle, int rowIndex, int colIndex, Syncfusion.Windows.Forms.Grid.GridStyleInfo style)
		{
			Control control = style.Control;
			if (control != null)
			{
				this.FixControlParent(control);				

				control.Size = clientRectangle.Size;
				control.Location = clientRectangle.Location;

				if (!control.ContainsFocus)
					control.Focus();
			}
		}
	}
}
	

